Subject: Re: bug#21415: 25.0.50; Emacs Trunk -- pixelwise width/height for x-create-frame

From: martin rudalics <[email-masked]>
Date: Sat, 24 Oct 2015 20:57:11 +0200

> Anyway, I think the problem you are seeing is due to the fact that I have
 > replaced the code in "zoom" with custom code that simply resizes the frame.
 > On OS X there is nothing special happening when maximizing the frame -- the
 > outer frame (one pixel thick) is still there, no buttons should change
         ^^^^^
You mean the outer border, I presume.  Here the border (some 5 pixels)
is probably removed by the window manager.  Don't ask me why and how.
But this and most other problems I reported existed already before your
change.

 > state etc.
 >
 > One thing we should try is to check is the old zoom system would work
 > better in GNUStep after all (this is the first of the three different zoom
 > version in the code).

I doubt it would help much.  One basic problem with GNUStep here is that
the workarea as returned by ‘display-monitor-attributes-list’ is the
same as the geometry returned by that function (are they the same on
OSX?).  Hence I see no way to have the GNUStep build recognize the
presence of my taskbar and not hide it when maximizing the frame.

 > Also, it would be interesting to see the NSTRACE output of a session where
 > we go "fullwidth" and then "maximized" and compare it with what happens
 > under OS X -- if it still is a problem after changing the zoom method.

Funnily I can't reproduce this currently, maybe some local change I made
is involved.

BTW

(set-frame-parameter nil 'fullscreen 'fullboth)

is broken here just as it was before your changes.  Does it work for you?

 > When it comes to the double tool bar, I have unfortunately no idea what the
 > problem is.

The crazy thing is that with the old build I got it for a normal initial
frame and now I get for a maximized initial frame ;-)

martin